<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


interface IAnmeldedaten
{
  
  public function getEPayInfo();

  
  public function getKurs();

  
  public function getGutscheinId();

  
  public function getAbwZahler();

  
  public function getHauptBelegung();

  
  public function getWeitereBelegungen();

  
  public function getWeitereTeilnehmer();

  
  public function getKinder();

  
  public function getZahlungen();

  
  public function getFortlGebuehren();

  
  public function setEPayInfo($pEPayInfo);

  
  public function setKurs($kurs);

  
  public function setGutscheinId($pGutscheinId);

  
  public function setAbwZahler($pAbwZahler);

  
  public function setHauptBelegung($hauptBelegung);

  
  public function setWeitereBelegungen($weitereBelegungen);

  
  public function setWeitereTeilnehmer($teilnehmerDaten);

  
  public function setKinder($kinder);

  
  public function setZahlungen($zahlungen);

  
  public function setFortlGebuehren($fortlGebuehren);

  
  public function getDublettenNummern();

  
  public function setDublettenNummern($pDublettenNummern);
}